<?php

namespace loyalsoft;

/**
 * 玩家关卡数据 extends Object
 * @version
 *          1.0.0 Created at 2017-2-14. by --gwang
 * @author gwang (mail@wanggangzero.cn)
 * @copyright ? 2017-2-14, SJZ LoyalSoft Corporation & gwang. All rights reserved.
 */
class Info_UserGateDifficulty extends Object_ext {
    ///目前是按关卡的难度来分的结果

    /**
     * 普通关卡
     */
    public $normal;

    /**
     * 困难关卡
     */
    public $hard;

    /**
     * 精英关卡
     */
    public $elite;

//
// <editor-fold defaultstate="collapsed" desc="'淘汰'的功能">

    /**
     * 战斗总次数
     * @deprecated since 2021年3月2日 没人关注这个了 
     */
    public $TotalNum;

    /**
     * 当天战斗的次数
     * @deprecated since version 2021.3.2 策划都不知道有这种设定了吧, 狗熊掰棒子
     */
    public $Times;

    /**
     * 已经消灭的bossid集合
     * @deprecated since version 2021.3.2 没人关注这个了(缺少延续性)
     * @var array
     */
    public $killedBoss;

    /**
     * 章节星数奖励
     * @deprecated since version 2021.3.2 后面没有评星的需求了, 打关卡主要是掉落物品.
     * @var { "chapterId":{"1":[],"2":[],"3":[]},"chapterId":{...}:.... }
     */
    public $chapterStarsRwd;

// </editor-fold>
//

    function __construct($arg = null) {
        if (null === $arg) {
            $this->TotalNum = 0;
            $this->Times = 0;
            $this->normal = new Ins_UserGatesModel();
            $this->normal->initialize();
            $this->hard = new Ins_UserGatesModel;
            $this->hard->initialize();
            $this->elite = new Ins_UserGatesModel;
            $this->elite->initialize();
            $this->killedBoss = ArrayInit();
            $this->chapterStarsRwd = ObjectInit();
        } else {
            parent::__construct($arg);
        }
    }

}
